// File:  ADTStack\StackDemo.java

/**
 * Realization of a Stack ADT
 * 
 * @author Bary W Pollack
 * @version Jan. 2, 2001 - 19:00 PST
 */

// Provides a simple demonstration of using the Stack class

public class StackDemo {

    public static void main(String[] args) {
        System.out.println("Stack Demo");

        Stack stack = new Stack();
        stack.create();

        try {
            System.out.println();
            System.out.print("size=");
            System.out.println(stack.size());
        } catch (StackException e) {
            System.out.println(e);
        }

        try {
            System.out.println();
            System.out.print("display: ");
            stack.display();
        } catch (StackException e) {
            System.out.println(e);
        }

        System.out.println();
        System.out.println("End Stack Demo");
        System.out.println();
    }

}

/* ..... Execution Output .....

Stack Demo

size=
******************** BACKTRACE ********************
StackException.java:46  from StackException.<init>()
Stack.java:97  from Stack.checkNullStack()
Stack.java:40  from Stack.size()
StackDemo.java:23  from StackDemo.main()
******************** EXCEPTION ********************
StackException: stack is <null>

display: 
******************** BACKTRACE ********************
StackException.java:46  from StackException.<init>()
Stack.java:97  from Stack.checkNullStack()
Stack.java:68  from Stack.display()
StackDemo.java:31  from StackDemo.main()
******************** EXCEPTION ********************
StackException: stack is <null>

End Stack Demo

..... End Execution Output ..... */
